## gate.gui
Class UnrestrictedAnnotationEditor.MyCustomFeatureBearer

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.gui.UnrestrictedAnnotationEditor.MyCustomFeatureBearer

All Implemented Interfaces:
  FeatureBearer, Serializable

Enclosing class:
  UnrestrictedAnnotationEditor

class UnrestrictedAnnotationEditor.MyCustomFeatureBearer
extends AbstractFeatureBearer
implements FeatureBearer

This class implements a feature bearer. It is used as internal data. The FeatureEditor will use an object belonging to this class.

See Also:
  Serialized Form

Field Summary
`private String` `annotType`
`private FeatureMap` `features`

Fields inherited from class gate.util.AbstractFeatureBearer
`serialVersionUID`

Constructor Summary
`UnrestrictedAnnotationEditor.MyCustomFeatureBearer(Annotation anAnnot)` Constructs a custom feature bearer.

Method Summary
`String` `getAnnotType()`
`FeatureMap` `getFeatures()` Get the feature set
`void` `setAnnotType(String anAnnotType)`
`void` `setFeatures(FeatureMap aFeatureMap)` Set the feature set

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### features

    private FeatureMap features

### annotType

    private String annotType

Constructor Detail

### UnrestrictedAnnotationEditor.MyCustomFeatureBearer

    public UnrestrictedAnnotationEditor.MyCustomFeatureBearer(Annotation anAnnot)

  Constructs a custom feature bearer. If annot is null then it creates empty annotType and fetures.

Method Detail

### setFeatures

    public void setFeatures(FeatureMap aFeatureMap)

  Description copied from interface: `FeatureBearer`
  Set the feature set
  Specified by:
    `setFeatures` in interface `FeatureBearer`
  Overrides:
    `setFeatures` in class `AbstractFeatureBearer`

### getFeatures

    public FeatureMap getFeatures()

  Description copied from interface: `FeatureBearer`
  Get the feature set
  Specified by:
    `getFeatures` in interface `FeatureBearer`
  Overrides:
    `getFeatures` in class `AbstractFeatureBearer`

### setAnnotType

    public void setAnnotType(String anAnnotType)

### getAnnotType

    public String getAnnotType()